package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneParty;
import com.ruoyi.system.domain.other.WsStonePartyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStonePartyMapper {
    long countByExample(WsStonePartyExample example);

    int deleteByExample(WsStonePartyExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneParty record);

    int insertSelective(WsStoneParty record);

    List<WsStoneParty> selectByExampleWithBLOBs(WsStonePartyExample example);

    List<WsStoneParty> selectByExample(WsStonePartyExample example);

    WsStoneParty selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneParty record, @Param("example") WsStonePartyExample example);

    int updateByExampleWithBLOBs(@Param("record") WsStoneParty record, @Param("example") WsStonePartyExample example);

    int updateByExample(@Param("record") WsStoneParty record, @Param("example") WsStonePartyExample example);

    int updateByPrimaryKeySelective(WsStoneParty record);

    int updateByPrimaryKeyWithBLOBs(WsStoneParty record);

    int updateByPrimaryKey(WsStoneParty record);
}
